Bug 2019284

Summary: Stop action should not in the action list while VMI is not running
Product: OpenShift Container Platform Reporter: Guohua Ouyang <gouyang>
Component: Console Kubevirt PluginAssignee: Gilad Lekner <glekner>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.9CC: aos-bugs, glekner, gouyang, tnisan
Target Milestone: ---Keywords: Reopened
Target Release: 4.10.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: No Doc Update
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-03-10 16:24:30 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
stop_not_running_VM none

Description Guohua Ouyang 2021-11-02 03:58:21 UTC
Created attachment 1839090 [details]
stop_not_running_VM

Description of problem:
Stop action should not in the action list while VMI is not running because it is not possible.

Version-Release number of selected component (if applicable):
OCP 4.9.0

How reproducible:
100%

Steps to Reproduce:
1. set VM spec.runStrategy: Manual
2. shutdown the VM inside via `sudo shutdown -P now`
3.

Actual results:
VM is in starting state on ui, stop the VM is not possible

Expected results:
Stop action is not enabled in VM action

Additional info:

Comment 1 Yaacov Zamir 2021-11-08 15:28:02 UTC
Due to complexity, the fix will be tracked in Jira:
https://issues.redhat.com/browse/CNV-14855

Comment 3 Guohua Ouyang 2021-12-17 03:13:40 UTC
verified on master, stop is not enabled while VM is in starting status.

Comment 7 errata-xmlrpc 2022-03-10 16:24:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.10.3 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:0056